import React, {useState, useContext} from 'react'
import {Store} from '../Store.js'
import Button from '@material-ui/core/Button';
import styled from 'styled-components'
import CreateNewFolderIcon from '@material-ui/icons/CreateNewFolder';
import GuardarModal from './GuardarModal'

export default function ButtonGuardarColecao (props) {
    const {state} = useContext(Store)
    const [saveToCol, toggleSave] = useState(false)
    const handleGuardar = () => {
        if(state.currentUser.id === '') {
            console.log('abrir login modal');
        }
        else {
            toggleSave(true);
        }
    }

    return (
        <>
        <GuardarModal open={saveToCol} handleClose={() => {toggleSave(false)}}
            thumb={props.thumb} title={props.title} recursoId={props.learningObjectId}
        />
        <StyledButton onClick={handleGuardar}>
                <CreateNewFolderIcon/> &nbsp; GUARDAR
        </StyledButton>
        </>
    )
}

const StyledButton = styled(Button)`
    color : #666 !important;
    background-color : transparent !important;
    font-size : 14px important;
    font-weight : 500 !important;

    .MuiSvgIcon-root {
        font-size : 24px;
        color : inherit;
    }

    &:hover {
        color: rgb(107, 35, 142) !important;
    }
`
