/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState} from 'react'
import PersonAddIcon from '@material-ui/icons/PersonAdd';
import styled from 'styled-components'
import Button from '@material-ui/core/Button';
import axios from 'axios'
import {apiUrl} from '../../env';
import {getAxiosConfig} from '../HelperFunctions/getAxiosConfig'

export default function FollowButton (props) {

    const handleFollow = (followerID) => {
        const id = followerID
        console.log('id: ', id)

        let payload = {}
        const header = getAxiosConfig()

        axios.put((`${apiUrl}/users/` + id + '/follow'), payload, header).then(
            (response) => {
                if ( response.headers['access-token'] ) {
                    sessionStorage.setItem('@portalmec/accessToken', response.headers['access-token'])
                }
                console.log(response)
                props.toggleFollowed()
            },
            (error) => {
                  console.log(error)
            }
        )

    }

    return (
        <StyledButton onClick={() => handleFollow(props.followerID)}>
            <PersonAddIcon style={{fontSize : "24px",
                display : "inline-block",
                verticalAlign : "middle",
                color : "#00bcd4"}}/>
            SEGUIR
        </StyledButton>
    )
}

export function NoIcon (props) {

    const handleFollow = (followerID) => {
        const id = followerID
        console.log('id: ', id)

        if (id != undefined) {
            let payload = {}
            const header = getAxiosConfig()

            axios.put((`${apiUrl}/users/` + id + '/follow'), payload, header).then(
                (response) => {
                    if ( response.headers['access-token'] ) {
                        sessionStorage.setItem('@portalmec/accessToken', response.headers['access-token'])
                    }
                    console.log(response)
                },
                (error) => {
                      console.log(error)
                }
            )
        }
    }

    return (
        <NoIconButton onClick={() => handleFollow(props.followableID)}>seguir</NoIconButton>
    )
}

const NoIconButton = styled(Button)`
    .MuiButton-label {
        color : #00bcd4 !important;
    }
    background-color : #fff !important;
    border : solid 1px rgba(0,188,212,.85) !important;
    font-size : 14px !important;
    border-radius : 3px !important;
    height : 36px !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    text-color : #00bcd4 !important;
    align-items : center !important;
    text-align : center !important;
    padding : 0 6px !important;
    margin : 6px 8px !important;
`

const StyledButton = styled(Button)`
    background-color : #fff !important;
    border : 1px solid #00bcd4 !important;
    color : #00bcd4 !important;
    font-size : 14px !important;
    display : inline-block !important;
    position : relative !important;
    cursor : pointer !important;
    height : 36px !important;
    min-width : 88px !important;
    line-height : 36px !important;
    vertical-align : middle !important;
    -webkit-box-align : center !important;
    -webkit-align-items : center !important;
    -ms-grid-row-align : center !important;
    align-items : center !important;
    text-align : center !important;
    border-radius : 3px !important;
    -webkit-user-select : none !important;
    -moz-user-select : none !important;
    -ms-user-select : none !important;
    user-select : none !important;
    padding : 0 6px !important;
    margin : 6px 8px !important;
    white-space : nowrap !important;
    text-transform : uppercase !important;
    font-weight : 500 !important;
    font-style : inherit !important;
    font-variant : inherit !important;
    font-family : inherit !important;
    text-decoration : none !important;
    overflow : hidden !important;
`
