/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components';

import Filtros from '../../../img/ajuda/filtros_img.jpg'




export default function HowToFilter(props) {
  return(
    <Card>
      <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet"/>
      <div style={{marginBottom: "9px"}}>
        <span>{props.title}</span>
      </div>
      <p>
        Após efetuar sua busca, você pode filtrar os resultados de acordo com o 
        que procura, com a opção “Filtros” localizada no lado esquerdo da página.
      </p>
      
      <img src={Filtros} alt="Busca imagem"/>
      <p>
        Você pode filtrar pelos componentes curriculares, tipos de recurso, etapas de ensino e palavra-chave.
      </p>
      
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }

  img {
    height: 200px;
    margin-right: 40px;
    vertical-align: middle;
  }


  p {
    margin: 0 0 10px;
    font-size: 15px;
  }



`