/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, { Component, useState, useEffect } from 'react';
import styled from 'styled-components';




export default function Why(props) {
  return(
    <Card>
      <link href="https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap" rel="stylesheet"/>
      <div style={{marginBottom: "9px"}}>
        <span>{props.title}</span>
      </div>
      <p>
        Ao enviar um recurso você estará ajudando a fortalecer a distribuição 
        de recursos educacionais digitais para o ensino básico brasileiro e 
        contribuindo na valorização da pluralidade e da diversidade da educação 
        brasileira.
      </p>
      
      <p>
        A Plataforma MEC é um meio seguro e um site de referência para a 
        publicação e disseminação de Recursos Educacionais Digitais. Aproveite 
        esse espaço para compartilhar com professores de todo o Brasil recursos 
        criados por você ou aquele recurso de outro autor que você usou em aula 
        e seus alunos gostaram!
      </p>
      <p>
        A partir do momento que seu recurso estiver publicado na Plataforma, os 
        usuários poderão interagir com seu recurso e você receberá as 
        notificações dos comentários, avaliações e curtidas. Cada uma dessas 
        interações contam para que seu recurso ganhe uma posição de destaque 
        na Plataforma.
      </p>
      <p>Participe dessa rede de colaboração de fomento da qualidade da educação básica!</p>
    </Card>
  );
}

const Card = styled.div`
  margin-bottom: 5px;
  background-color: #fff;
  box-shadow: 0 1px 3px rgba(0,0,0,.12),0 1px 2px rgba(0,0,0,.24);
  padding: 30px;
  color: #666;
  span {
    font-size: 14px;
    font-weight: bold;
  }

  p {
    margin: 0 0 10px;
    font-size: 15px;
  }



`