/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React, {useState, useContext}  from 'react';
import styled from 'styled-components';
import Grid from '@material-ui/core/Grid';
import Card from '@material-ui/core/Card';
import CardActions from '@material-ui/core/CardActions';
import CardContent from '@material-ui/core/CardContent';
import gem from '../img/gamification/gem.svg';
import ItemCardAction from './ItemCardAction.js';

const ItemImage = styled.img`
	border-radius: 150;
	max-width: 100%;
`

const ItemName = styled.h3`
	font-size: 0.8em;
	font-weight: lighter;
	color: #666666;
`

const ItemDescription = styled.p`
	font-size: 0.5em;
	color: #666666;
`


export default function ItemCard (props) {
        return (
					<Grid item xs={9} sm={2}>
						<Card style={{textAlign: 'center'}}>
							<CardContent>
								<ItemImage src={props.src}/>
								<ItemName>{props.name}</ItemName>
								<ItemDescription>{props.description}</ItemDescription>
								<ItemCardAction operation={props.action}/>
							</CardContent>
						</Card>
					</Grid>
        )
}
