import React from 'react'
import {CompletarCadastroButton} from '../TabPanels/UserPageTabs/PanelSolicitarContaProfessor.js'
import FormInput from "../FormInput.js"

export default function Error (props) {
    return (
        <div style={{overflow:"hidden", display:"inline-block"}}>
            <h2 style={{fontSize:"32px", fontWeight:"200", marginBottom:"20px"}}>Ops! Não encontramos essa conta</h2>
            <p>{props.value}</p>
            <p>Verifique se o e-mail foi digitado corretamente ou se você utilizou algum outro e-mail.</p>
            <form onSubmit={(e) => props.onSubmit(e)}>
                <FormInput
                    inputType={"text"}
                    name={"email"}
                    value={props.value}
                    placeholder={"E-mail"}
                    handleChange={e => props.handleChange(e)}
                    required={true}
                    error = {props.error}
                />
                <div style={{display:"flex", justifyContent:"center"}}>
                    <CompletarCadastroButton type="submit" >BUSCAR</CompletarCadastroButton>
                </div>
            </form>
        </div>
    )
}
