import React, {useState} from 'react'
import styled from 'styled-components'

export default function Stepper (props) {

    return (
        <div style={{display:"flex",justifyContent:"center", marginBottom:"50px"}}>
            <FeedbackUpload>
            {
                props.items.map((item)=>
                <div className={"page-selector " + (item.selected ? 'selected' : '')} >
                {item.value}
                </div>
            )
            }
            </FeedbackUpload>
        </div>
    )
}

const FeedbackUpload = styled.div`
    width : 280px;
    display : flex;
    background :#e5e5e5;
    flex-direction : row;
    justify-content : space-between;
    height : 50px;
    align-items : center;
    padding : 7px;
    border-radius : 50px;
    margin-top : 20px;

    .page-selector {
        height : 36px;
        width : 36px;
        background : #fff;
        border-radius : 50%;
        color : #00bcd4;
        line-height : 32px;
        font-size : 20px;
        font-weight : 500;
        border: solid 3px #00bcd4;
        text-align: center;
        align-items : center;
        vertical-align:middle;
    }

    .selected {
        background : #00bcd4;
        color : #fff;
        border-color : #00bcd4;
    }
`
