import React from 'react'
import styled from 'styled-components'
import Breadcrumbs from '@material-ui/core/Breadcrumbs';
import {Link} from 'react-router-dom';

export default function CustomizedBreadcrumbs (props) {

    return (
        <BreadcrumbsDiv>
            <StyledBreadcrumbs>
                <Link to="/" style={{color:"#00bcd4", textDecoration:"none"}}>
                    Página Inicial
                </Link>
                {
                    props.values.map( (value) =>
                        <span>
                            {value}
                        </span>
                    )
                }
                {/*<span>
                    {props.currentPage}
                </span>
                <span>
                    {props.value}
                </span> */}
            </StyledBreadcrumbs>
        </BreadcrumbsDiv>
    )
}

const BreadcrumbsDiv = styled.div`
    padding : 10px;
    display : flex;
    justify-content : center;
    @media screen and (max-width: 768px) {
        margin-left : 10px;
    }
  `

const StyledBreadcrumbs = styled(Breadcrumbs)`
    display : flex;
    justify-content : flex-start;
    max-width : 1170px;
    span {
        color : #a5a5a5;
    }
`
