/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import styled from 'styled-components'
import {Carregados} from '../StyledComponents.js'
import Button from '@material-ui/core/Button';

export function ButtonsAreaRecurso (props) {
    return (
        <Carregados>
            <p style={{margin:"0 0 10px", fontSize:"14px"}}>
                Carregados {props.sliceLength} de {props.length}
            </p>

            {
                props.length > 4 &&
                <React.Fragment>
                    <ButtonMostrarMaisRecurso onClick={() => {props.showMore()}}>
                        <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS</span>
                    </ButtonMostrarMaisRecurso>

                    <ButtonMostrarTodos onClick={() => {props.showAll()}}>
                        <span style={{color:"#666", fontSize:"14px", fontWeight:"500"}}>MOSTRAR TODOS</span>
                    </ButtonMostrarTodos>
                </React.Fragment>
            }

        </Carregados>
    )
}

export function ButtonsAreaColecao (props) {
    return (
        <Carregados>
            <p style={{margin:"0 0 10px", fontSize:"14px"}}>
                Carregados {props.sliceLength} de {props.length}
            </p>

            {
                props.length > 4 &&
                <React.Fragment>
                    <ButtonMostrarMaisColecao onClick={() => {props.showMore()}}>
                        <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS</span>
                    </ButtonMostrarMaisColecao>

                    <ButtonMostrarTodos onClick={() => {props.showAll()}}>
                        <span style={{color:"#666", fontSize:"14px", fontWeight:"500"}}>MOSTRAR TODOS</span>
                    </ButtonMostrarTodos>
                </React.Fragment>
            }

        </Carregados>
    )
}

export function ButtonsAreaRede (props) {
    return (
        <Carregados>
            <p style={{margin:"0 0 10px", fontSize:"14px"}}>
                Carregados {props.sliceLength} de {props.length}
            </p>

            {
                props.length > 4 &&
                <React.Fragment>
                    <ButtonMostrarMaisRede onClick={() => {props.showMore()}}>
                        <span style={{color:"#fff", fontSize:"14px", fontWeight:"500"}}>MOSTRAR MAIS</span>
                    </ButtonMostrarMaisRede>

                    <ButtonMostrarTodos onClick={() => {props.showAll()}}>
                        <span style={{color:"#666", fontSize:"14px", fontWeight:"500"}}>MOSTRAR TODOS</span>
                    </ButtonMostrarTodos>
                </React.Fragment>
            }

        </Carregados>
    )
}

const ButtonMostrarTodos = styled(Button)`
    &:hover {
        background-color : #d5d5d5 !important;
    }
    height : 36px !important;
    padding-left : 16px !important;
    padding-right : 16px !important;
    font-weight : 500 !important;
    border-radius : 3px !important;
    color :#666 !important;
    background-color: #e8e8e8 !important;
    min-width : 88px !important;
    height : 36px !important;
`

const ButtonMostrarMaisRede = styled(Button)`
    background-color : #00bcd4 !important;
    font-size: 14px !important;
    font-weight: 500 !important;
    height: 36px !important;
    border-radius: 3px !important;
    padding-left: 16px !important;
    padding-right: 16px !important;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;
    outline : none !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    margin : 6px 8px !important;
    text-decoration : none !important;
`

export const ButtonMostrarMaisColecao = styled(Button)`
    background-color : #503096 !important;
    font-size: 14px !important;
    font-weight: 500 !important;
    height: 36px !important;
    border-radius: 3px !important;
    padding-left: 16px !important;
    padding-right: 16px !important;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;
    outline : none !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    margin : 6px 8px !important;
    text-decoration : none !important;
`

export const ButtonMostrarMaisRecurso = styled(Button)`
    background-color : #ff7f00 !important;
    font-size: 14px !important;
    font-weight: 500 !important;
    height: 36px !important;
    border-radius: 3px !important;
    padding-left: 16px !important;
    padding-right: 16px !important;
    box-shadow: 0 2px 5px 0 rgba(0,0,0,.26) !important;
    outline : none !important;
    min-width : 88px !important;
    vertical-align : middle !important;
    margin : 6px 8px !important;
    text-decoration : none !important;
`
