/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React from 'react'
import Grid from '@material-ui/core/Grid';
import NoContent from './NoContent.js'
import ResourceCardFunction from '../../ResourceCardFunction.js'
import Title from './PanelTitle.js'
import {WhiteContainer, StyledGrid} from '../StyledComponents.js'
import {ButtonsAreaRecurso} from './ButtonsArea'

export default function Template (props) {
    return (
        <WhiteContainer>
            <Title
                title={props.titleText}
                length={props.length}
            />

            {
                props.length === 0 ?
                (
                    [
                        <NoContent text={props.noContentText}/>
                    ]
                )
                :
                (
                    [
                        <React.Fragment>
                            <StyledGrid container spacing={1} style={{paddingLeft : "30px", paddingRight : "15px"}}>
                            {
                                props.sliceArr.map( (card) =>
                                <Grid item md={3} xs={12} key={card.id}>
                                    <ResourceCardFunction
                                        id={card.learning_object.id}
                                        avatar = {card.submitter.avatar}
                                        thumbnail = {card.learning_object.thumbnail}
                                        type = {card.learning_object.object_type ? card.learning_object.object_type : "Outros"}
                                        title={card.learning_object.name}
                                        published={false}
                                        tags={card.educational_stages}
                                        href={"/recurso/" + card.learning_object.id}
                                        downloadableLink={card.default_attachment_location}
                                    />
                                </Grid>
                                )
                            }
                            </StyledGrid>

                            <ButtonsAreaRecurso
                                sliceLength={props.sliceArr.length}
                                length={props.length}
                                showMore={() => props.showMore()}
                                showAll={() => props.showAll()}
                            />
                        </React.Fragment>
                    ]
                )
            }

        </WhiteContainer>
    )
}
