/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState} from 'react'
import styled from 'styled-components'
import {WrapperBox} from './StyledComponents.js'
import DoneIcon from '@material-ui/icons/Done';
import DeleteIcon from '@material-ui/icons/Delete';
import {getAxiosConfig} from '../HelperFunctions/getAxiosConfig.js'
import axios from 'axios'
import {apiUrl} from '../../env';

export default function FileUploadStage (props) {
    const [uploading, toggleUploading] = useState(true)

    const handleDelete = () => {
        let config = getAxiosConfig

        axios.delete( (`${apiUrl}/learning_objects/` + props.draftID), config).then(
            (response) => {
                console.log(response)
                if ( response.headers['access-token'] ) {
                    sessionStorage.setItem('@portalmec/accessToken', response.headers['access-token'])
                }
                props.handleNextStage("default")
            },
            (error) => {console.log(error)})
    }

    return (
        <WrapperBox>
            <div className="inner">
                <div className="upload-title">
                    {uploading ? 'Carregando arquivo' : 'O arquivo foi carregado'}
                </div>

                <div className="uploading">
                    <div className="upload-item">
                        <div className="item-info">
                            <div className="file-status">
                                <DoneIcon className="icon icon-margin"/> {props.file.name}
                            </div>
                            <div className="remove-file" onClick={handleDelete}>
                                Excluir <DeleteIcon className="icon icon-remove"/>
                            </div>
                        </div>
                    </div>
                    <div className="warning">
                        <span>Não se esqueça de preencher as</span>
                        <br/>
                        <span>informações sobre o recurso ao lado.</span>
                    </div>
                </div>
            </div>
        </WrapperBox>
    )
}
