/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/

import React, {useState, memo} from 'react'
import FormControl from '@material-ui/core/FormControl';
import {StyledRadio, ObjTypeBox, StyledFormLabel} from '../StyledComponents.js'
import RadioGroup from '@material-ui/core/RadioGroup';
import Radio from '@material-ui/core/Radio';
import FormControlLabel from '@material-ui/core/FormControlLabel';


function TipoDeRecurso (props) {

    const [objTypeValue, chooseObjType] = useState(props.initialValue ? props.initialValue : 0)
    const handleChangeObjType = (event) => {chooseObjType(Number(event.target.value))}

    return (
        <FormControl required={true} style={{width : "100%"}} onBlur={() => {props.onBlurCallback("object_type_id", objTypeValue, props.draftID)}}>
            <StyledFormLabel component="legend" style={{fontSize : "14px", marginBottom : "10px"}}>
                <b>Tipo de recurso</b>
            </StyledFormLabel>
            <RadioGroup aria-label="Tipo de Recurso" name="Tipo de Recurso" row value={objTypeValue} onChange={handleChangeObjType} style={{justifyContent : "center"}}>
                {
                    props.objTypes.map( (type) =>
                    <FormControlLabel key={type.id} value={type.id}
                        control={<StyledRadio label={type.name} checked={objTypeValue === type.id}/>}
                        />
                    )

                }
            </RadioGroup>
        </FormControl>
    )
}

export default memo(TipoDeRecurso)
