import React from 'react'
import {ReactComponent as AplicativoMovelIcon} from '../../img/object_type_icons/object-type_aplicativo-movel.svg'
import {ReactComponent as ApresentacaoIcon} from '../../img/object_type_icons/object-type_apresentacao.svg'
import {ReactComponent as AudioIcon} from '../../img/object_type_icons/object-type_audio.svg'
import {ReactComponent as ImagemIcon} from '../../img/object_type_icons/object-type_imagem.svg'
import {ReactComponent as InfograficoIcon} from '../../img/object_type_icons/object-type_infografico.svg'
import {ReactComponent as JogoIcon} from '../../img/object_type_icons/object-type_jogo.svg'
import {ReactComponent as LivroDigitalIcon} from '../../img/object_type_icons/object-type_livro-digital.svg'
import {ReactComponent as MapaIcon} from '../../img/object_type_icons/object-type_mapa.svg'
import {ReactComponent as OutrosIcon} from '../../img/object_type_icons/object-type_outros.svg'
import {ReactComponent as SoftwareEducacionalIcon} from '../../img/object_type_icons/object-type_software-educacional.svg'
import {ReactComponent as TextoIcon} from '../../img/object_type_icons/object-type_texto.svg'
import {ReactComponent as VideoIcon} from '../../img/object_type_icons/object-type_video.svg'
import {ReactComponent as AnimacaoIcon} from '../../img/object_type_icons/object-type_animacao.svg'

import {ReactComponent as Arte} from '../../img/subject_icons/subject_arte.svg'
import {ReactComponent as Biologia} from '../../img/subject_icons/subject_biologia.svg'
import {ReactComponent as CienciasNatureza} from '../../img/subject_icons/subject_ciencias-da-natureza.svg'
import {ReactComponent as DireitosHumanos} from '../../img/subject_icons/subject_direitos-humanos.svg'
import {ReactComponent as EducacaoAmbiental} from '../../img/subject_icons/subject_educacao-ambiental.svg'
import {ReactComponent as EducacaoCampo} from '../../img/subject_icons/subject_educacao-do-campo.svg'
import {ReactComponent as EducacaoEspecial} from '../../img/subject_icons/subject_educacao-especial.svg'
import {ReactComponent as EducacaoFisica} from '../../img/subject_icons/subject_educacao-fisica.svg'
import {ReactComponent as EducacaoIndigena} from '../../img/subject_icons/subject_educacao-indigena.svg'
import {ReactComponent as EducacaoQuilombola} from '../../img/subject_icons/subject_educacao-quilombola.svg'
import {ReactComponent as EducacaoSexual} from '../../img/subject_icons/subject_educacao-sexual.svg'
import {ReactComponent as EnsinoReligioso} from '../../img/subject_icons/subject_ensino-religioso.svg'
import {ReactComponent as Filosofia} from '../../img/subject_icons/subject_filosofia.svg'
import {ReactComponent as Fisica} from '../../img/subject_icons/subject_fisica.svg'
import {ReactComponent as Geografia} from '../../img/subject_icons/subject_geografia.svg'
import {ReactComponent as Historia} from '../../img/subject_icons/subject_historia.svg'
import {ReactComponent as Informatica} from '../../img/subject_icons/subject_informatica.svg'
import {ReactComponent as LinguaEspanhola} from '../../img/subject_icons/subject_lingua-espanhola.svg'
import {ReactComponent as LinguaInglesa} from '../../img/subject_icons/subject_lingua-inglesa.svg'
import {ReactComponent as LinguaPortuguesa} from '../../img/subject_icons/subject_lingua-portuguesa.svg'
import {ReactComponent as Matematica} from '../../img/subject_icons/subject_matematica.svg'
import {ReactComponent as OutrasLinguas} from '../../img/subject_icons/subject_outras-linguas.svg'
import {ReactComponent as Quimica} from '../../img/subject_icons/subject_quimica.svg'
import {ReactComponent as Sociologia} from '../../img/subject_icons/subject_sociologia.svg'
import {ReactComponent as Outros} from '../../img/subject_icons/subject_outros.svg'



export function GetSubjectIconByName (subjName) {
    switch (subjName) {
        case "Arte":
            return <Arte className="icon"/>
            break;
        case "Biologia":
            return <Biologia className="icon"/>
            break;
        case "Ciências da Natureza":
            return <CienciasNatureza className="icon"/>
            break;
        case "Direitos Humanos":
            return <DireitosHumanos className="icon"/>
            break;
        case "Educação Ambiental":
            return <EducacaoAmbiental className="icon"/>;
            break;
        case "Educação do Campo":
            return <EducacaoCampo className="icon"/>;
            break;
        case "Educação Especial":
            return <EducacaoEspecial className="icon"/>;
            break;
        case "Educação Física":
            return <EducacaoFisica className="icon"/>;
            break;
        case "Educação Indígena":
            return <EducacaoIndigena className="icon"/>;
            break;
        case "Educação Quilombola":
            return <EducacaoQuilombola className="icon"/>;
            break;
        case "Educação Sexual":
            return <EducacaoSexual className="icon"/>;
            break;
        case "Ensino Religioso":
            return <EnsinoReligioso className="icon"/>;
            break;
        case "Filosofia":
            return <Filosofia className="icon"/>;;
            break;
        case "Física":
            return <Fisica className="icon"/>;
            break;
        case "Geografia":
            return <Geografia className="icon"/>;
            break;
        case "História":
            return <Historia className="icon"/>;
            break;
        case "Informática":
            return <Informatica className="icon"/>;
            break;
        case "Língua Espanhola":
            return <LinguaEspanhola className="icon"/>;
            break;
        case "Língua Inglesa":
            return <LinguaInglesa className="icon"/>;
            break;
        case "Língua Portuguesa":
            return <LinguaPortuguesa className="icon"/>;
            break;
        case "Matemática":
            return <Matematica className="icon"/>;
            break;
        case "Outras Línguas":
            return <OutrasLinguas className="icon"/>;
            break;
        case "Química":
            return <Quimica className="icon"/>;
            break;
        case "Sociologia":
            return <Sociologia className="icon"/>;
            break;
        default:
            return <Outros className="icon"/>;
            break;
    }
}

export default function GetIconByName (objName) {
    switch (objName.toLowerCase()) {
        case "imagem":
            return <ImagemIcon className="icon" />;
            break;
        case "mapa":
            return <MapaIcon className="icon"/>;
            break;
        case "software educacional" :
            return <SoftwareEducacionalIcon className="icon"/>;
            break;
        case "aplicativo móvel":
            return <AplicativoMovelIcon className="icon"/>;
            break;
        case "apresentação":
            return <ApresentacaoIcon className="icon"/>;
            break;
        case "áudio":
            return <AudioIcon className="icon"/>;
            break;
        case "infográfico":
            return <InfograficoIcon className="icon"/>;
            break;
        case "jogo":
            return <JogoIcon className="icon"/>;
            break;
        case "livro digital" :
            return <LivroDigitalIcon className="icon"/>;
            break;
        case "texto":
            return <TextoIcon className="icon"/>;
            break;
        case "vídeo":
            return <VideoIcon className="icon"/>;
            break;
        case "animação":
            return <AnimacaoIcon className="icon"/>;
            break;
        default:
            return <OutrosIcon className="icon"/>;
            break;

        }
}
