import React, {useState} from 'react'
import {StyledFormLabel} from '../StyledComponents.js'
import Cropper from '../../Cropper'
import { Button } from '@material-ui/core';
import styled from 'styled-components'

export default function EditThumbnail (props) {
    const [crop] = useState({
        unit: "%" ,
        width : 100,
        aspect: 9/3
    });
    return (
        <>
            <StyledFormLabel component="legend" style={{fontSize : "14px", marginBottom : "10px"}}>
                <b>Editando Imagem</b> <span style={{color : "#a5a5a5"}}>(Deixe seu recurso completo, para que todos o entendam melhor.)</span>
            </StyledFormLabel>
            <div style={{display : "flex", alignItems : "center", flexDirection : "column"}}>
                <div style={{maxWidth : "500px", maxHeight : "300px", padding : "20px"}}>
                    <Cropper src={props.tempImgURL} crop={crop} circularCrop={false} update={props.updateThumb}/>
                </div>
                <StyledButton onClick={() => {props.finalizeThumb()}}>SELECIONAR IMAGEM</StyledButton>
            </div>
        </>

    )
}

const StyledButton = styled(Button)`
    &:hover {
        background-color : rgba(158,158,158,0.2) !important;
    }
    background-color : #fff !important;
    border : solid 1px #00bcd4 !important;
    font-weight : 600 !important;
    color : #00bcd4 !important;
`
