import React, {useContext} from 'react'
import {Store} from '../../Store.js'
import axios from 'axios'
import {apiUrl} from '../../env';


export function SendInfo (fieldName, payload, draftID) {
    console.log('fieldName', fieldName, 'payload', payload, 'draftID', draftID)
    const key = fieldName
    let value = payload
    if (key === "tags") {
        value = payload.map( (tag, index) =>
            index = { "name" : tag}
        )
    }

    const putObject = {
        "learning_object" : {
            "id" : draftID
        }
    }
    putObject.learning_object[key] = value
    console.log(putObject)

    let config = {
        headers : {
            'Accept': 'application/json',
            'Content-Type': 'application/json',
        }
    }
    config.headers["Access-Token"] = sessionStorage.getItem('@portalmec/accessToken');
    config.headers.Client = sessionStorage.getItem('@portalmec/clientToken')
    config.headers.Uid = sessionStorage.getItem('@portalmec/uid')
    axios.put((`${apiUrl}/learning_objects/` + draftID), putObject, config).
    then( (response) => {
        if ( response.headers['access-token'] ) {
            sessionStorage.setItem('@portalmec/accessToken', response.headers['access-token'])
        }
        console.log(response)
    }, (error) => {console.log(error)})

}
