/*Copyright (C) 2019 Centro de Computacao Cientifica e Software Livre
Departamento de Informatica - Universidade Federal do Parana

This file is part of Plataforma Integrada MEC.

Plataforma Integrada MEC is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Plataforma Integrada MEC is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with Plataforma Integrada MEC.  If not, see <http://www.gnu.org/licenses/>.*/
import React, {useContext} from 'react';
import { Store } from '../../Store.js';
import {UserProfileInfoDiv} from '../TabPanels/StyledComponents.js'

export default function UserInfo (props) {
    const {state} = useContext(Store)

    const user = state.currentUser.username
    const education = state.currentUser.education

    return (
        <UserProfileInfoDiv>
            <p style={{fontSize:"28px", color:"#fff", paddingTop:"5px", paddingBottom:"5px", fontWeight:"500", backgroundColor:"#77777796", borderRadius : "5px"}}>{user}</p>
            <div style={{fontSize:"14px", color:"#fff", marginBottom:"2px"}}>
                <p>{education}</p>
            </div>
        </UserProfileInfoDiv>
    )
}
